Package org.apache.felix.framework.util

# Class ImmutableMap<K,V>

java.lang.Object
java.util.AbstractMap<K,V>
org.apache.felix.framework.util.ImmutableMap<K,V>

All Implemented Interfaces:
  `Map<K,V>`

public class ImmutableMap<K,V> extends AbstractMap<K,V>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ImmutableMap(Map.Entry<K,V>[] entries)`
`protected`
`ImmutableMap(Map<K,V> map)`

## Method Summary

Modifier and Type
Method
Description
`Set<Map.Entry<K,V>>`
`entrySet()`
`V`
`get(Object key)`
`static <K, V> ImmutableMap<K,V>`
`newInstance(Map.Entry<K,V>... entries)`
`static <K, V> ImmutableMap<K,V>`
`newInstance(Map<K,V> entries)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### ImmutableMap

protected ImmutableMap(Map.Entry<K,V>[] entries)

### ImmutableMap

protected ImmutableMap(Map<K,V> map)

## Method Details

### newInstance

public static <K, V> ImmutableMap<K,V> newInstance(Map.Entry<K,V>... entries)

### newInstance

public static <K, V> ImmutableMap<K,V> newInstance(Map<K,V> entries)

### get

public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`
Overrides:
  `get` in class `AbstractMap<K,V>`

### entrySet

public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`
Specified by:
  `entrySet` in class `AbstractMap<K,V>`